{
  universal.modules = [
    (
      {pkgs, ...}: {
        programs.zsh = {
          enable = true;
        };
        users.defaultUserShell = pkgs.zsh;
      }
    )
  ];
  universal.home_modules = [
    {
      programs = {
        zsh = {
          enable = true;
          shellAliases = {
            l = "eza --long --all --icons --time-style long-iso";
          };
        };
        bash.enable = true; # just in case
      };
    }
  ];
  personal.home_modules = [
    {
      programs.zsh.shellAliases = {
        screenshot = "slurp | grim -g - - | wl-copy";
      };
    }
  ];
  capsaicin.home_modules = [
    {
      programs.zsh.shellAliases = {
        decrypt = "sudo cryptsetup --verbose luksOpen /dev/disk/by-uuid/08affe8f-ca2e-4f87-9f08-31faeca92a17 decrypted-data && sudo cryptsetup --verbose status decrypted-data && sudo mount /dev/mapper/decrypted-data /mnt/decrypted";
      };
    }
  ];
}
